/*
 * The SOSI OSS Library - Copyright (C) 2011 National Board of e-Health (NSI)
 *
 * All source code and information supplied as part of the SOSI OSS Library
 * is copyright to National Board of e-Health.
 *
 * The source code has been released under a dual license - meaning you can
 * use either licensed version of the library with your code.
 *
 * It is released under the Common Public License 1.0, a copy of which can
 * be found at the link below.
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * It is released under the LGPL (GNU Lesser General Public License), either
 * version 2.1 of the License, or (at your option) any later version. A copy
 * of which can be found at the link below.
 * http://www.gnu.org/copyleft/lesser.html
 *
 */
package dk.sosi.demo.cpr;

import org.apache.axis.AxisFault;

/**
* @since 1.5
*/
public class CivilRegistrationServiceSoapBindingImpl implements dk.sosi.demo.cpr.CivilRegistrationService{

	public dk.sosi.demo.cpr.PersonDetails getPersonDetails(java.lang.String civilRegistrationNumber) throws java.rmi.RemoteException {
    	try {
    		if("TestServiceException".equals(civilRegistrationNumber)) throw new Exception();
    		
        	PersonDetails personDetails = new PersonDetails();
            personDetails.setPersonName("John Doe");
    		return personDetails;
    		
    	} catch (Throwable t) {
			throw new AxisFault("REQUEST_FAILED","REQUEST_FAILED","CPRSERVICE", null);
		}
    }
}