package dk.sosi.seal.model.constants;

public enum BlurringInstructions10Tags implements Tag {

    BLURRING_INSTRUCTIONS("BlurringInstructions", NameSpaces.NS_BIP, NameSpaces.BLURRING_INSTRUCTIONS_PROFILE_1_0),
    BLUR_EMPLOYEE_NAMES_FROM_ORG("BlurEmployeeNamesFromOrg", NameSpaces.NS_BIP, NameSpaces.BLURRING_INSTRUCTIONS_PROFILE_1_0);

    public static final String SALT_ATT = "currentSalt";
    public static final String ORGTYPE_ATT = "orgType";
    public static final String REASON_ATT = "reason";
    private final String tag;
    private final String prefix;
    private final String namespace;

    BlurringInstructions10Tags(String tag, String prefix, String namespace) {
        this.tag = tag;
        this.prefix = prefix;
        this.namespace = namespace;
    }

    BlurringInstructions10Tags(String tag) {
        this(tag, null, null);
    }

    public String getNS() {
        return namespace;
    }

    public String getTagName() {
        return tag;
    }

    public String getPrefix() {
        return prefix;
    }
}
