/*
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 */

package dk.sosi.seal.vault.renewal.model;

/**
 * Model of a SOAP RPC-style method argument.
 * 
 * @author thomas@signaturgruppen.dk
 * @since 1.0
 */
@Deprecated
public class Argument {
    private String name;
    private Class<?> type;
    private Object value;

    /**
     * Construct a method argument
     * 
     * @param name
     *            the argument name
     * @param type
     *            the argument type
     * @param value
     *            the argument value
     */
    public Argument(String name, Class<?> type, Object value) {
        super();
        this.type = type;
        this.name = name;
        this.value = value;
    }

    /**
     * Returns the argument name
     */
    public String getName() {
        return name;
    }

    /**
     * Returns the argument value
     */
    public Object getValue() {
        return value;
    }

    /**
     * Returns the argument type
     */
    public Class<?> getType() {
        return type;
    }

    public String toString() {
        return "Argument{name=" + name + ", type=" + type + ", value=" + value + "}";
    }

}