@echo off

if %1a==a goto usage

echo =============================================================
echo      Building SOSI library distribution for version %1
echo =============================================================
cmd /C mvn clean install javadoc:javadoc
cd seal
cmd /C mvn -P xerces test
cmd /C mvn assembly:directory -DskipTests=true -Ddescriptor=../assembly.xml
cd  ..
cmd /C mvn assembly:assembly -DskipTests=true -Ddescriptor=assembly.xml

set RELEASE_DIR=..\..\releases\%1
cmd /C mkdir %RELEASE_DIR%
cmd /C move target\sosi-bin.tar.gz %RELEASE_DIR%\sosi-%1-complete.tar.gz
cmd /C move target\sosi-bin.zip %RELEASE_DIR%\sosi-%1-complete.zip
cmd /C move seal\target\seal.jar %RELEASE_DIR%\seal-%1.jar

echo =============================================================================
echo      The distribution files can be found in the SOSI/distribution directory
echo =============================================================================
goto end

:usage
echo Usage example: builddist.cmd 1.5.6

:end
