package dk.sosi.seal;

import java.io.IOException;
import java.io.InputStream;

public class Properties {
    public final static String projectVersion = properties().getProperty("project.version");

    private static java.util.Properties properties() {
        java.util.Properties properties = new java.util.Properties();
        InputStream i = Properties.class.getClassLoader().getResourceAsStream("project.properties");
        try { properties.load(i); } catch (IOException e) { throw new RuntimeException(e); }
        return properties;
    }
}