package dk.sosi.seal.model;

public class BlurredOrganisation {
    String value;
    OrgType orgType;
    Reason reason;

    public enum OrgType { Cvr, Sor, Shak }
    public enum Reason { SpecificForPerson, FromRelatedPerson, SpecificDepartment }

    public BlurredOrganisation(String value, OrgType orgType, Reason reason) {
        this.value = value;
        this.orgType = orgType;
        this.reason = reason;
    }

    public String getValue() { return this.value; }
    public OrgType getOrgType() { return this.orgType; }
    public Reason getReason() { return this.reason; }
}
