package dk.sosi.seal.model.constants;

public enum SubjectRelations11Tags implements Tag {

    SUBJECT_RELATIONS("SubjectRelations", NameSpaces.NS_SRP, NameSpaces.SUBJECT_RELATIONS_PROFILE_1_1),
    VERIFIED_RELATION("VerifiedRelation", NameSpaces.NS_SRP, NameSpaces.SUBJECT_RELATIONS_PROFILE_1_1);

    private final String tag;
    private final String prefix;
    private final String namespace;

    SubjectRelations11Tags(String tag, String prefix, String namespace) {
        this.tag = tag;
        this.prefix = prefix;
        this.namespace = namespace;
    }

    public String getNS() {
        return namespace;
    }

    public String getTagName() {
        return tag;
    }

    public String getPrefix() {
        return prefix;
    }
}
