package dk.sosi.seal.model.dombuilders;

import org.mockito.Mockito;
import org.w3c.dom.Document;

public class DOMBuilderHelper {
    public static Document buildWithoutSigning(OIOWSTrustDOMBuilder builder) {
        OIOWSTrustDOMBuilder builderSpy = Mockito.spy(builder);
        Mockito.doNothing().when(builderSpy).enhanceAndSign(Mockito.any());
        return builderSpy.build();
    }
}
